#include <lib.h>

#include <damage_types.h>
inherit "/domains/crafting/obj/recipe";

static void create() {
        recipe::create();
        SetKeyName("pattern");
        SetId( ({ "pattern", "bag", "pattern for a bag", "bag pattern" }));
        SetAdjectives( ({ "simple" }) );
        SetShort("a simple pattern for a bag");
        SetLong("A simple paper pattern with details on how to craft a bag.");
        SetProductName("bag");
        SetBaseMaterial("cloth");
        SetIngredients( ({"measure of thread"}) );
        SetSupplies( ({"needle"}) );
        SetProduct("/domains/crafting/sewing/bag.c");
        SetPersonalizable(1);
        SetFrontDescriptors( ({"a spacious", "a large", "a drawstring"}) );
        SetBackDescriptors( ({" with a buttoned flap"," with extra pockets",",
secured with a simple clasp"}));
        SetBaseUnits(8);
        SetGoodSpecials(([ "SetMaxCarry":100 ]));
        SetShoddySpecials(([ "SetMaxCarry":90 ]));
        SetSkill("sewing");
        SetSkillLevel(5);
}

void init(){
        ::init();
}