#include <lib.h>

#include <damage_types.h>
inherit "/domains/crafting/obj/recipe";

static void create() {
        recipe::create();
        SetKeyName("pattern");
        SetId( ({ "pattern", "trim", "pattern for a length of trim", "trim pattern" }) );
        SetAdjectives( ({ "simple" }) );
        SetShort("a simple pattern for a length of trim");
        SetLong("A folded paper pattern with details on how to craft a hat.");
        SetProductName("length of trim");
        SetBaseMaterial("cloth");
        SetIngredients( ({"measure of thread"}) );
        SetSupplies( ({"needle"}) );
        SetProduct("/domains/crafting/sewing/trim.c");
        SetPersonalizable(0);
        SetFrontDescriptors( ({"a trimmed"}) );
        SetBackDescriptors( ({" with elegant trim",", trimmed with a narrow band of cloth",", edged in cloth trim"," with trim featuring %s", ", trimmed with a narrow band of cloth featuring %s"}) );
        SetBaseUnits(1);
        SetSkill("sewing");
        SetSkillLevel(1);
        SetMessages("You cut a long strip off the cloth.","You start sewing up the trim to hide the rough edges.");
}

void init(){
        ::init();
}