#include <lib.h>

inherit "/domains/crafting/obj/material";

static void create() {
        material::create();
        SetKeyName("wool");
        SetId( ({ "wool", "bolt", "bolt of wool" }) );
        SetAdjectives( ({ "wide" }) );
        SetShort("a wide bolt of wool");
        SetLong("A wide bolt of wool.");
        SetNumUnits(100);
        SetCostPerUnit(3);
        SetMassPerUnit(2);
        SetMass(GetMass(GetNumUnits()));
        SetBaseCost("silver",GetCost(GetNumUnits()));
        SetMaterialType("cloth");
        SetAllowedEmbellishments( ({ "embroidery","dye","cloth" }) );
        SetFrontDescriptors( ({"a", "a heavy", "a sturdy","a fuzzy","a
scratchy", "a soft"}) );
        SetBackDescriptors( ({"",", cut from thick cloth"}) );
}

void init(){
        ::init();
}