#include <lib.h>

#include <damage_types.h>
inherit "/domains/crafting/obj/recipe";

static void create() {
        recipe::create();
        SetKeyName("pattern");
        SetId( ({ "pattern", "dress", "pattern for a dress", "dress pattern" })
);
        SetAdjectives( ({ "creased" }) );
        SetShort("a creased pattern for a dress");
        SetLong("A creased paper pattern with details on how to craft a
dress.");
        SetProductName("dress");
        SetBaseMaterial("cloth");
        SetIngredients( ({"measure of thread"}) );
        SetSupplies( ({"needle"}) );
        SetProduct("/domains/crafting/sewing/dress.c");
        SetPersonalizable(1);
        SetFrontDescriptors( ({"a long", "an elegant", "a flowing"}) );
        SetBackDescriptors( ({" with a full skirt"," with a scooped neckline"})
);
        SetBaseUnits(10);
        SetGoodSpecials(([ "SetWear":"You slip into your dress, noting the
excellent fit.",
"SetProtection":({BLUNT,4}) ]));
        SetShoddySpecials(([ "SetWear":"You slip into your dress, noting that
the fit is a bit tight in places." ]));
        SetSkill("sewing");
        SetSkillLevel(10);
        SetMessages("You carefully cut out the pieces of cloth, setting them
aside for when you are ready for them.","You sew the pieces of the bodice
together.","You begin on piecing the skirt together.","You carefully attach the
skirt to the bodice of the dress and begin on the sleeves.","You attach the
sleeves to the rest of the garment, and look over your work.");
}

void init(){
        ::init();
}