#include <lib.h>

#include <damage_types.h>
inherit "/domains/crafting/obj/recipe";

static void create() {
        recipe::create();
        SetKeyName("pattern");
        SetId( ({ "pattern", "hat", "pattern for a hat", "hat pattern" }) );
        SetAdjectives( ({ "folded" }) );
        SetShort("a folded pattern for a hat");
        SetLong("A folded paper pattern with details on how to craft a hat.");
        SetProductName("hat");
        SetBaseMaterial("cloth");
        SetIngredients( ({"measure of thread"}) );
        SetSupplies( ({"needle"}) );
        SetProduct("/domains/crafting/sewing/hat.c");
        SetPersonalizable(1);
        SetFrontDescriptors( ({"a broad", "a dashing", "a wide-brimmed","a tall"}) );
        SetBackDescriptors( ({" with a wide brim"," with a narrow brim"," with a colorful hat band", " with a creased crown"}) );
        SetBaseUnits(10);
        SetGoodSpecials(([ "SetProtection":({BLUNT,8}) ]));
        SetShoddySpecials(([ "SetProtection":({BLUNT,4}) ]));
        SetSkill("sewing");
        SetSkillLevel(5);
}

void init(){
        ::init();
}