#include <lib.h>

inherit "/domains/crafting/obj/embellishment";


static void create() {
        embellishment::create();
        SetKeyName("red dye");
        SetId( ({ "dye","bottle of dye","bottle of red dye" }) );
        SetAdjectives( ({ "small","red","glass" }) );
        SetShort("a small bottle of red dye");
        SetLong("A glass bottle filled with red dye.");
        SetEmbellishmentType("dye");
        SetLongAddition("It has been dyed red.");
        SetFrontDescriptors( ({"a red", "a scarlet","a crimson", "a
burghundy", "a red-dyed", "a blood red", "a rose red"}) );
        SetBackDescriptors( ({", dyed to a brilliant red", " the color of
roses", " the color of blood"}) );
}

void init(){
        ::init();
}