#include <lib.h>

inherit "/domains/crafting/obj/material";

static void create() {
        material::create();
        SetKeyName("silk");
        SetId( ({ "silk", "bolt", "bolt of silk" }) );
        SetAdjectives( ({ "wide" }) );
        SetShort("a wide bolt of silk");
        SetLong("A wide bolt of silk.");
        SetNumUnits(100);
        SetCostPerUnit(10);
        SetMassPerUnit(1);
        SetMass(GetMass(GetNumUnits()));
        SetBaseCost("silver",GetCost(GetNumUnits()));
        SetMaterialType("cloth");
        SetAllowedEmbellishments( ({ "embroidery","dye","cloth" }) );
        SetFrontDescriptors( ({"a", "a light", "a gossamer"}) );
        SetBackDescriptors( ({"",", cut from flowing cloth"}) );
        SetSkillLevel(10);
}

void init(){
        ::init();
}